### Method

# EDataServer SourceLocal get_writable

since: 3.34

#### Declaration [src]

    gboolean
    e_source_local_get_writable (
      ESourceLocal* extension
    )

#### Description [src]

Returns whether the backend should prefer to open the file in writable mode. The default is `TRUE`. The file can be still opened for read-only, for example when the access to the file is read-only.

Available since: 3.34

Gets property | `EDataServer.SourceLocal:writable`

#### Return value

Type: `gboolean`

Whether prefer to pen the file in writable mode.